detekt-api
1.21.0-RC2

# Extension

interface Extension
Content copied to clipboard

Defines extension points in detekt. Currently supported extensions are:

- FileProcessListener

- ConsoleReport

- OutputReport

- ConfigValidator

- ReportingExtension

## Functions

init
Link copied to clipboard
open fun init (config: Config )
Content copied to clipboard

Allows to read any or even user defined properties from the detekt yaml config to setup this extension.

open fun init (context: SetupContext )
Content copied to clipboard

Setup extension by querying common paths and config options.

## Properties

id
Link copied to clipboard
open val id : String
Content copied to clipboard

Name of the extension.

priority
Link copied to clipboard
open val priority : Int
Content copied to clipboard

Is used to run extensions in a specific order. The higher the priority the sooner the extension will run in detekt's lifecycle.

## Inheritors

ConfigValidator
Link copied to clipboard
ConsoleReport
Link copied to clipboard
FileProcessListener
Link copied to clipboard
OutputReport
Link copied to clipboard
ReportingExtension
Link copied to clipboard